<?php
 ini_set('display_errors', 0);
 error_reporting(0);
require_once realpath(dirname(__FILE__)) . '/../Util/Utilidades.php';
require_once realpath(dirname(__FILE__)) . '/../lumine/Lumine.php';
require_once realpath(dirname(__FILE__)) . '/../lumine-conf.php';
//Sistema
require_once realpath(dirname(__FILE__)) . '/../Domain/Usuario.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Configuracao.php';
require_once realpath(dirname(__FILE__)) . '/../Control/ControlSistema.php';
//Internacionalização
require_once realpath(dirname(__FILE__)) . '/../Domain/Generator.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Idioma.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Opidiomas.php';
//Domain
require_once realpath(dirname(__FILE__)) . '/../Domain/Area.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Artigo.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Artigotipo.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Categoria.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Contato.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Contatodepartamento.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Foto.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Galeria.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Parceria.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Parcatlink.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Parceriacategoria.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Produto.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Produtocategoria.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Produtodescricao.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Tipomedia.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Galmedia.php';
require_once realpath(dirname(__FILE__)) . '/../Domain/Media.php';
$dao = new Lumine_Configuration( $lumineConfig );
//Sistema
/*
$dao->import('Usuario');
$dao->import('Configuracao');
//Internacionalização
$dao->import('Generator');
$dao->import('Idioma');
$dao->import('Opidiomas');
//Domain
$dao->import('Area');
$dao->import('Artigo');
$dao->import('ArtigoTipo');
$dao->import('Categoria');
$dao->import('Contato');
$dao->import('Contatodepartamento');
$dao->import('Foto');
$dao->import('Galeria');
$dao->import('Parceria');
$dao->import('Parceriacategoria');
$dao->import('Parcatlink');
$dao->import('Produto');
$dao->import('Produtocategoria');
$dao->import('Produtodescricao');
$dao->import('Tipomedia');
$dao->import('GalMedia');
$dao->import('Media');
*/
//Registra a conexão
register_shutdown_function(array($dao->getConnection(), 'close'));


ControlSistema::pegarUmConfiguracao(1);

?>